Skip to content

Get Project status change history

Request

Returns the history of status changes for all projects.

Note: A project is the same as an RfQ (Request for Quotation). Both /projects and /rfqs endpoints are available. The response body currently uses RfQ field names (e.g. rfq_id).

Security
BearerAuth
Headers
Acceptstring(ProjectAcceptHeader)required

Set this to application/api.luminovo.project-v1+json.

Value:"application/api.luminovo.project-v1+json"
GET
/projects/status-history
curl -i -X GET \
  https://api.luminovo.com/projects/status-history \
  -H 'Accept: application/api.luminovo.project-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Project status history.

Bodyapplication/json
itemsArray of objects(types.rfq.status_history.v1.RfqStatusHistory)required
Response
{ "items": [ {} ] }